using System;
using ModelInterfaces;
using System.Runtime.Serialization;

namespace ModelImplementation
{
    /* implementation af Varebevaegelse */
    [DataContract]
    public class Varebevaegelse : IVarebevaegelse
    {
        [DataMember]
        private int antal;
        [DataMember]
        private int dato;
        [DataMember]
        private float stykpris;
        [DataMember]
        private int art;

        public Varebevaegelse(int antal,
                                                                    int dato, float stykpris,
                                                                    int art)
        {
            this.antal = antal;
            this.dato = dato;
            this.stykpris = stykpris;
            this.art = art;
        }

        #region Varebevaegelse Members

        public int Antal
        {
            get { return this.antal; }
        }

        public int Dato
        {
            get { return this.dato; }
        }

        public float Stykpris
        {
            get { return this.stykpris; }
        }

        public int Art
        {
            get { return this.art; }
        }

        #endregion

        public override string ToString()
        {
            return "" + this.antal + ", " + this.dato + ", " + this.stykpris + ", " + this.art;
        }

    }

}
