using System;
using System.Collections.Generic;
using ModelInterfaces;

namespace ModelImplementation
{
	/* implementation af Varekatalog  */

	public class Varekatalog : IVarekatalog
	{
		private List<IVare> varer = new List<IVare>();

		public Varekatalog()
		{
		}

		

		public IVare OpretVare (int varenr, string betegnelse,	int antalPLager, float salgsEnhedsPris)
		{
			IVare nyVare = new Vare(varenr, betegnelse,antalPLager,salgsEnhedsPris);
			this.varer.Add(nyVare);
			return nyVare;
		}

		public List<IVare> GetAlleVarer ()
		{
			return new List<IVare>(this.varer);
		}

		public IVare FindVare (int varenr)
		{
			foreach (IVare enVare in this.varer)
			{
				if (enVare.Varenr == varenr)
					return enVare;	/*fundet*/
			}
			return null;	/*ikke fundet*/
		}
    }
}
