using System;
using System.Collections.Generic;

namespace ModelInterfaces
{
	public interface IVare
	{
		int     Varenr {get;}
		string  Betegnelse {get;set;}
		int     AntalPLager {get;}
		float   SalgsEnhedsPris {get;set;} // aktuel excl. moms
		double  Salgsvrdi ();

    IVarebevaegelse RegistrerVarerSolgt (int antal, int dato, 
                                      float stykpris); 
    IVarebevaegelse RegistrerVarerIndkbt (int antal, int dato, 
      float stykpris); 

    List<IVarebevaegelse> GetBevgelser ();
 
  }
}
