using System;
using System.Collections.Generic;

namespace VarekartotekApplication
{
	// definition af "Hoved-programmet" (data og metoder der findes i hovedprogrammet)
	public class VarekartotekConsoleApplication
	{
		// opstarts metoden (constructor)
		public VarekartotekConsoleApplication()
		{
			Console.WriteLine("Vlg 1: for serialiserings model og 2: for database model");
			string valg = Console.ReadLine();
			if (valg == "1")
			{
				Model.CreateEmptySerializableVarekatalog();
				Console.WriteLine("Test af serialiserings model");
			}
			else if (valg == "2")
			{
				Model.CreateDatabaseVarekatalog();
				Console.WriteLine("Test af database model");
			}
			else
			{
				Console.WriteLine("Forkert valg der afbrydes");
				return;
			}

			VareFunktioner.OpretTestVarer();									 // fyld data i 
			VareFunktioner.OpretTestBevgelser();	
			VareFunktioner.UdskrivAlleVarer();								 // udskriv
			IVare enVare = Model.GetVarekatalog().FindVare(1001);
			enVare.Betegnelse = "Rettet";
			VareFunktioner.UdskrivAlleVarer();								 // udskriv

			Console.ReadLine();		// vent p return
		}
	}
}
