﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ModelInterfaces;
using ModelImplementation;
using Funktioner;

namespace WebApplication1
{
    public class VareControler
    {
        private static IVarekatalog _varekatalog;
        public IVarekatalog Varekataloget
        {
            get
            {
                if (_varekatalog == null)
                {
                    _varekatalog = new Varekatalog();
                    VareFunktioner.OpretTestVarer(_varekatalog);
                }
                return _varekatalog;
            }
        }

        public List<IVare> GetAlleVarer()
        {
            return Varekataloget.GetAlleVarer();
        }

    }
}