﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ModelInterfaces;
using ModelImplementation;
using Funktioner;

namespace WebApplication1
{
    public partial class WebFormListe : System.Web.UI.Page
    {
        private IVarekatalog varekataloget;

        protected void Page_Load(object sender, EventArgs e)
        {
            //{ // Skaf et varekatalog
            //    Application.Lock();
            //    if (Application["Varekatalog"] == null)
            //        Application["Varekatalog"] = new Varekatalog();
            //    Application.UnLock();
            //    varekataloget = Application["Varekatalog"] as IVarekatalog;
            //}

            {
                if (Session["Varekatalog"] == null)
                    Session["Varekatalog"] = new Varekatalog();
                varekataloget = Session["Varekatalog"] as IVarekatalog;
            }
        }

        protected void BtnOpretTestdata_Click(object sender, EventArgs e)
        {
            VareFunktioner.OpretTestVarer(varekataloget);
        }

        protected void BtnFyldListBox_Click(object sender, EventArgs e)
        {
            ListBox1.Items.Clear();
            foreach (IVare v in varekataloget.GetAlleVarer())
            {
                ListItem li = new ListItem(v.ToString(), v.Varenr.ToString());
                ListBox1.Items.Add(li);
            }

        }

        protected void BtnSelect_Click(object sender, EventArgs e)
        {
            string s = ListBox1.SelectedValue;
            if (s != null)
            {
                int vnr = int.Parse(s);
                IVare v = varekataloget.FindVare(vnr);
                TextBox1.Text = v.ToString();
                Session["Vare"] = v;
            }
            //Response.Redirect("WebFormVare.aspx?varenr="+s);
            Server.Transfer("WebFormVare.aspx");

        }
    }
}
