﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using ModelImplementation;

namespace WebServiceApplication
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IVareService" in both code and config file together.
    [ServiceContract]
    public interface IVareService
    {
        [OperationContract]
        void OpretTestVarer();
        //[OperationContract]
        //Vare OpretVare(int varenr, string betegnelse, int antalPåLager, float salgsEnhedsPris);
        //[OperationContract]
        //List<Vare> GetAlleVarer();
        //[OperationContract]
        //Vare FindVare(int varenr);
        //[OperationContract]
        Varebevaegelse RegistrerVarerSolgt(int varenr, int antal,
                            int dato, float stykpris);
        [OperationContract]
        Varebevaegelse RegistrerVarerIndkøbt(int varenr, int antal,
                            int dato, float stykpris);

        [OperationContract]
        List<Varebevaegelse> GetBevægelser(int varenr);
    }
}
